# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQt6_WebEngine
%define qt6_minver 6.4.0

Name:           python-qt6-webengine
Version:        6.4.0
Release:        %mkrel 3
Summary:        Set of Python bindings for The Qt WebEngine library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtwebengine/
#https://www.riverbankcomputing.com/static/Downloads/PyQtWebEngine/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://files.pythonhosted.org/packages/c1/54/80bebc08c537723a145442c3997bab122ebc8e540ae807f4291b2ce7f8bb/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt6-devel >= %{version}
BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip)

BuildRequires:  cmake(Qt6Core) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Gui) >= %{qt6_minver}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_minver}
BuildRequires:  cmake(Qt6WebEngineCore) >= %{qt6_minver}

%description
PyQtWebEngine is a set of Python bindings for The Qt Company's Qt WebEngine
library.
The bindings sit on top of PyQt6 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt6

%define py3_name python3-qt6

%package -n     %{py3_name}-webengine
Summary:        Python 3 bindings for PyQt 6 webengine
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-webengine
Python 3 bindings for PyQt 6 webengine.

%files -n %{py3_name}-webengine
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt6_WebEngine-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-webenginecore
Summary:        Python 3 bindings for PyQt 6 webenginecore
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-webenginecore
Python 3 bindings for PyQt 6 webenginecore.

%files -n %{py3_name}-webenginecore
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt6/QtWebEngineCore.abi3.so
%{python3_sitearch}/PyQt6/bindings/QtWebEngineCore

#------------------------------------------------------------

%package -n     %{py3_name}-webenginewidgets
Summary:        Python 3 bindings for PyQt 6 webenginewidgets
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginecore = %{version}-%{release}

%description -n %{py3_name}-webenginewidgets
Python 3 bindings for PyQt 6 webenginewidgets.

%files -n %{py3_name}-webenginewidgets
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt6/QtWebEngineWidgets.abi3.so
%{python3_sitearch}/PyQt6/bindings/QtWebEngineWidgets

#------------------------------------------------------------

%package -n     %{py3_name}-webenginequick
Summary:        Python 3 bindings for PyQt 6 webenginequick
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       %{py3_name}-webenginequick = %{version}-%{release}

%description -n %{py3_name}-webenginequick
Python 3 bindings for PyQt 6 webenginequick.

%files -n %{py3_name}-webenginequick
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt6/QtWebEngineQuick.abi3.so
%{python3_sitearch}/PyQt6/bindings/QtWebEngineQuick

#------------------------------------------------------------

%package -n    %{py3_name}-webengine-qsci-api
Summary:       Python 3 bindings for PyQt 6 webengine Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-webengine-qsci-api
Python 3 bindings for PyQt 6 webengine Qscintilla API.

%files -n %{py3_name}-webengine-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/PyQt6-WebEngine.api

### END python3-qt6

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --verbose
	
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)" -C build

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt6/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Tue Jan 03 2023 daviddavid <daviddavid> 6.4.0-3.mga9
+ Revision: 1929432
- build now on aarch64 and armv7 arches

* Sat Dec 24 2022 daviddavid <daviddavid> 6.4.0-2.mga9
+ Revision: 1926276
- Rebuild for new Qt 6.4.1

* Sat Nov 05 2022 papoteur <papoteur> 6.4.0-1.mga9
+ Revision: 1903764
- Fork from python-qt5-webengine

* Mon Sep 12 2022 papoteur <papoteur> 5.15.6-1.mga9
+ Revision: 1887472
- new 5.15.6

* Tue Mar 15 2022 papoteur <papoteur> 5.15.2-4.mga9
+ Revision: 1792973
- Use sip 6 for building instead of sip 4

* Sun Feb 13 2022 tv <tv> 5.15.2-3.mga9
+ Revision: 1773869
- Rebuild for python-3.10

* Thu Mar 18 2021 daviddavid <daviddavid> 5.15.2-2.mga9
+ Revision: 1704319
- rebuild for python 3.9

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652958
- New version 5.15.2

* Tue Nov 03 2020 akien <akien> 5.15.1-2.mga8
+ Revision: 1642215
- webenginewidgets requires webenginecore

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625558
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599179
- rebuild with sip 4.19.23

* Fri Jun 05 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590449
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545941
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485531
- New version 5.14.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.13.1-1.mga8
+ Revision: 1441173
- new version: 5.13.1

* Wed Sep 11 2019 tv <tv> 5.13.0-2.mga8
+ Revision: 1439709
- drop last py2
+ daviddavid <daviddavid>
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424690
- New version 5.13.0

* Sat Jul 27 2019 daviddavid <daviddavid> 5.12.1-3.mga8
+ Revision: 1424611
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12.1-2.mga7
+ Revision: 1384123
- Qt5 Rebuild

* Fri Mar 22 2019 daviddavid <daviddavid> 5.12.1-1.mga7
+ Revision: 1379651
- new version: 5.12.1

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366956
- initial package python-qt5-webengine

